Public Class FormularzGłówny
    Private Sub btnPodziel_Click(sender As Object, e As EventArgs) Handles btnPodziel.Click
        Dim strImię As String
        Dim strInicjał As String
        Dim strNazwisko As String
        Dim intSpacja As Integer

        intSpacja = InStr(txtImięNazwisko.Text, " ")
        strImię = Microsoft.VisualBasic.Left(txtImięNazwisko.Text, intSpacja - 1)
        strInicjał = Mid(txtImięNazwisko.Text, intSpacja + 1, 1)
        strNazwisko = Mid(txtImięNazwisko.Text, intSpacja + 3)
        MessageBox.Show("Imię: " & strImię & vbCrLf &
                        "Inicjał: " & strInicjał & vbCrLf &
                        "Nazwisko: " & strNazwisko)
    End Sub
End Class
